from .base_exception import BaseExceptionTemplate


class AuthException(BaseExceptionTemplate):
    """Exception for authentication-related errors"""

    def __init__(self, message: str = "Authentication failed"):
        super().__init__(message, status_code=401)
